import random
from CustomerDetails import *
from FlightInformation import FlightInformation
import json
import configparser

if __name__ == '__main__':
    flight1 = FlightInformation()
    flight2 = FlightInformation()
    deptTime1 = "11.30 AM"
    NewDeptTime = "3.00 PM"

    def modifyDepartTime(NewDeptTime):
        deptTime1 = NewDeptTime

    def checkIfFlightIsDelayed(finalFlight):
        if finalFlight.deptTime != NewDeptTime:
            return deptTime1
        else:
            return finalFlight.arrTime

    def searchFlight():
        randNum = random.randint(1, 10)
        if randNum == 0:
            return flight1
        else:
            return flight2
    
    config = configparser.ConfigParser()
    config.read('../resources/config.ini')
    
    flight1.addFlightDetails(config["APP"]["flightID1"], config["APP"]["fromCity1"], config["APP"]["toCity1"], config["APP"]["deptTime1"], config["APP"]["arrTime1"])
    flight2.addFlightDetails(config["APP"]["flightID2"], config["APP"]["fromCity2"], config["APP"]["toCity2"], config["APP"]["deptTime2"], config["APP"]["arrTime2"])
    customer = CustomerDetails(config["APP"]["customerFirstName"], config["APP"]["customerLastName"], config["APP"]["contactNo"], config["APP"]["customerUsername"])


    finalFlight = searchFlight() #search for flights
    finalFlight.bookFlight(customer)  #book flight  and send SMS
    modifyDepartTime(NewDeptTime) #this will modify the actual flight time
    checkIfFlightIsDelayed(finalFlight) #it will check if flight is delayed and send SMS

    

        